| UrlHelper::encodePath |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Encodes a Drupal path for use in a URL. |
| UrlHelper::externalIsLocal |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Determines if an external URL points to this installation. |
| UrlHelper::filterBadProtocol |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Processes an HTML attribute value and strips dangerous protocols from URLs. |
| UrlHelper::filterQueryParameters |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Filters a URL query parameter array to remove unwanted elements. |
| UrlHelper::getAllowedProtocols |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Gets the allowed protocols. |
| UrlHelper::isExternal |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Determines whether a path is external to Drupal. |
| UrlHelper::isValid |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Verifies the syntax of the given URL. |
| UrlHelper::parse |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Parses a URL string into its path, query, and fragment components. |
| UrlHelper::setAllowedProtocols |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Sets the allowed protocols. |
| UrlHelper::stripDangerousProtocols |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Strips dangerous protocols (for example, 'javascript:') from a URI. |
| UrlHelper::uncompressQueryParameter |
function |
core/lib/Drupal/Component/Utility/UrlHelper.php |
Takes a compressed parameter and converts it back to the original. |
| UrlHelperFormatConstraint |
class |
core/tests/Drupal/Tests/Core/Theme/Component/ComponentValidatorTest.php |
Defines a custom format constraint for json-schema. |
| UrlHelperFormatConstraint::check |
function |
core/tests/Drupal/Tests/Core/Theme/Component/ComponentValidatorTest.php |
|
| UrlHelperTest |
class |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests Drupal\Component\Utility\UrlHelper. |
| UrlHelperTest.php |
file |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
|
| UrlHelperTest::dataEnhanceWithPrefix |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Enhances test URLs with prefixes. |
| UrlHelperTest::dataEnhanceWithScheme |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Enhances test URLs with schemes. |
| UrlHelperTest::providerTestBuildQuery |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides test data for testBuildQuery(). |
| UrlHelperTest::providerTestEncodePath |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for self::testEncodePath(). |
| UrlHelperTest::providerTestExternalIsLocal |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provider for local external URL detection. |
| UrlHelperTest::providerTestExternalIsLocalInvalid |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides invalid argument data for local external URL detection. |
| UrlHelperTest::providerTestFilterBadProtocol |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for self::testTestFilterBadProtocol(). |
| UrlHelperTest::providerTestFilterQueryParameters |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data to self::testFilterQueryParameters(). |
| UrlHelperTest::providerTestInvalidAbsolute |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for testInvalidAbsolute(). |
| UrlHelperTest::providerTestInvalidRelativeData |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for testInvalidRelative(). |
| UrlHelperTest::providerTestIsExternal |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for self::testIsExternal(). |
| UrlHelperTest::providerTestParse |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for self::testParse(). |
| UrlHelperTest::providerTestStripDangerousProtocols |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for self::testStripDangerousProtocols(). |
| UrlHelperTest::providerTestValidAbsoluteData |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Data provider for testValidAbsolute(). |
| UrlHelperTest::providerTestValidRelativeData |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Provides data for testValidRelative(). |
| UrlHelperTest::testBuildQuery |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests query building. |
| UrlHelperTest::testCompressUncompress |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests that we get the same thing out that we put in. |
| UrlHelperTest::testEncodePath |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests path encoding. |
| UrlHelperTest::testExternalIsLocal |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests detecting external URLs that point to local resources. |
| UrlHelperTest::testExternalIsLocalInvalid |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests invalid URL arguments. |
| UrlHelperTest::testFilterBadProtocol |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests bad protocol filtering and escaping. |
| UrlHelperTest::testFilterQueryParameters |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests query filtering. |
| UrlHelperTest::testInvalidAbsolute |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests invalid absolute URLs. |
| UrlHelperTest::testInvalidRelative |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests invalid relative URLs. |
| UrlHelperTest::testIsExternal |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests external versus internal paths. |
| UrlHelperTest::testParse |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests URL parsing. |
| UrlHelperTest::testStripDangerousProtocols |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests dangerous URL protocol filtering. |
| UrlHelperTest::testUncompressInvalidString |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests passing an invalid string as a compressed query parameter. |
| UrlHelperTest::testValidAbsolute |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests valid absolute URLs. |
| UrlHelperTest::testValidRelative |
function |
core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php |
Tests valid relative URLs. |
| UrlIntegrationTest |
class |
core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php |
Tests the URL object integration into the access system. |
| UrlIntegrationTest.php |
file |
core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php |
|
| UrlIntegrationTest::$modules |
property |
core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php |
|
| UrlIntegrationTest::testAccess |
function |
core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php |
Ensures that the access() method on \Drupal\Core\Url objects works. |
| UrlMatcher |
class |
core/lib/Drupal/Core/Routing/UrlMatcher.php |
Drupal-specific URL Matcher; handles the Drupal "system path" mapping. |